from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.util import XSearchDescriptor

@runtime_checkable
class XReplaceDescriptor(XSearchDescriptor, Protocol):
    def getReplaceString(self) -> str: ...
    def setReplaceString(self, aReplaceString: str) -> None: ...
